Name: jq
Version: 1.6
Release: 2
License: MIT and ISC and ICU and CC-BY-3.0
Summary: Lightweight and flexible command-line JSON processor
Url: https://stedolan.github.io/jq/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: oniguruma-devel

Requires: libjq1 = %{version}-%{release}

Source0: https://github.com/stedolan/jq/releases/download/jq-%{version}/jq-%{version}.tar.gz

%description
jq is like sed for JSON data - you can use it to slice and filter and map and
transform structured data with the same ease that sed, awk, grep and friends
let you play with text.


%package -n libjq1
Summary: jq development files

%description -n libjq1
Library for using jq


%package devel
Summary: jq development files

Requires: libjq1 = %{version}-%{release}

%description devel
jq development files


%prep
%setup -q -n jq-%{version}


%build

autoreconf -fi

%configure \
  CPPFLAGS="-D_ISOC99_SOURCE -D_LINUX_SOURCE_COMPAT -pthread" \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -pthread" \
  --disable-maintainer-mode \
  --disable-static \
  --enable-shared \
  --with-aix-soname=svr4

# Makefile.am hardcodes -static-libtool-libs as an option for linking through
# jq_LDFLAGS. This causes linking against the the library built in the
# rpmbuild/BUILD directory and not against /QOpenSys/pkgs/lib. Remove to allow
# blibpath to be set correctly
%make_build jq_LDFLAGS=""


%install
%make_install
rm %{buildroot}/%{_libdir}/libjq.la # don't ship .la file


%files
%defattr(-, qsys, *none)

%{_bindir}/jq

%dir %{_docdir}/jq/
%{_docdir}/jq/AUTHORS
%license %{_docdir}/jq/COPYING
%{_docdir}/jq/README
%{_docdir}/jq/README.md

%{_mandir}/man1/jq.1


%files -n libjq1
%defattr(-, qsys, *none)

%{_libdir}/libjq.so.1


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libjq.so

%{_includedir}/jq.h
%{_includedir}/jv.h


%changelog
* Wed Jan 29 2020 Mark Irish <mirish@ibm.com> - 1.6
- Initial spec file
